Subject: bug#41988: 28.0.50; Edebug unconditionally instruments definitions with &define specs

From: Stefan Monnier <[email-masked]>
Date: Thu, 18 Mar 2021 10:01:56 -0400

>> No.  And I'd hope the problem can be avoided in all cases.
>> I guess we could try and make it more "official" by imposing some kind of "cut"
>> such that after passing a `&define` we can't backtrack.
> From looking at the code, would it be possible to achieve this by setting
> edebug-gate to non-nil in the right places?
> If so, then this seems to be only a matter of finding the right places ;-)

It's possible, but:
- I don't understand enough the way backtracking works in Edebug to know
  what `edebug-gate` does, really.
- The old spec of `cl-flet` would be broken by such a change, so if we
  want to make such a change, we'd probably want to arrange so that it
  emits a clear warning.

I'm not sure it's worth the trouble: the pain seems higher than the gain.

        Stefan